Package twisted :: Package internet :: Module interfaces :: Class IConnector

[frames | no frames]

## Class IConnector

    Interface --+
                |
               IConnector

Object used to interface between connections and protocols.

Each IConnector manages one connection.

Method Summary
| ``connect`(self)` Try to connect to remote address.
| ``disconnect`(self)` Disconnect regardless of the connection state.
| ``getDestination`(self)` Return destination this will try to connect to.
| ``stopConnecting`(self)` Stop attempting to connect.

Method Details

### connect(self)

Try to connect to remote address.

### disconnect(self)

Disconnect regardless of the connection state.

If we are connected, disconnect, if we are trying to connect, stop trying.

### getDestination(self)

Return destination this will try to connect to.

This will be an IAddress implementing object.

### stopConnecting(self)

Stop attempting to connect.

Generated by Epydoc 2.0 on Sat May 15 20:08:11 2004 | http://epydoc.sf.net